## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcSoundSource Struct Reference

List of all members.

## Public Member Functions

virtual const char * | GetSoundName () const =0
| Get the name of the sound wrapper that is used.
virtual iSndSysSource * | GetSoundSource ()=0
| Get the sound source.
virtual void | SetSoundName (const char *name)=0
| Set the name of the sound wrapper to use.

## Detailed Description

Definition at line 83 of file sound.h.

## Member Function Documentation

virtual const char* iPcSoundSource::GetSoundName | ( |  | ) | const`[pure virtual]`

| Get the name of the sound wrapper that is used.

virtual iSndSysSource* iPcSoundSource::GetSoundSource | ( |  | ) | `[pure virtual]`

| Get the sound source.

virtual void iPcSoundSource::SetSoundName | ( | const char * | name | ) | `[pure virtual]`

| Set the name of the sound wrapper to use.

The documentation for this struct was generated from the following file:

- propclass/sound.h